跳转到主要内容
GET
/
report
/
dashboard
report/dashboard
curl --request GET \
  --url https://provisioning.cloudx.io/api/v1/report/dashboard \
  --header 'Authorization: Bearer <token>'
{
  "summary": {
    "total_requests": 123,
    "total_impressions": 123,
    "revenue": 123,
    "fill_rate": 123,
    "ecpm": 123,
    "total_clicks": 123,
    "ctr": 123,
    "total_users": 123
  },
  "chart_data": [
    {
      "bucket_start": "<string>",
      "date": "<string>",
      "requests": 123,
      "impressions": 123,
      "revenue": 123,
      "clicks": 123
    }
  ],
  "source_breakdown": [
    {
      "source": "<string>",
      "requests": 123,
      "impressions": 123,
      "revenue": 123,
      "fill_rate": 123,
      "ecpm": 123,
      "clicks": 123,
      "revenue_share": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloudx.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
默认值:YOUR_CLOUDX_API_KEY
必填

Create or manage API keys in CloudX Settings.

查询参数

start_time
integer<int64>
必填

Start of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days.

end_time
integer<int64>
必填

End of the time range as a Unix timestamp in seconds. The requested range must not exceed 31 days.

test_mode
enum<string>
默认值:production

Traffic mode to include. Defaults to production traffic.

可用选项:
production,
test,
all
country
string

ISO 3166-1 alpha-2 country code filter.

device_os
enum<string>

Device operating system filter.

可用选项:
iOS,
Android
source
string

Reporting source filter. Use cloudx, a mediation source such as applovin, a comma-separated list such as cloudx,admob, or all.

granularity
enum<string>
默认值:daily

Reporting bucket size. Defaults to daily.

可用选项:
daily,
hourly

响应

Dashboard data.

summary
object
必填
chart_data
object[]
必填
Maximum array length: 100000
source_breakdown
object[]
Maximum array length: 100000